#!/bin/bash
#
# modified by mow9902 - added lines
# - 22 to 26 to add button to allow for querying of available YT formats
# - 39 to 43 to add a button to allow updating of downloader
WHEREAMI="$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd && echo)"
cd $WHEREAMI
TERM=$(cat DATA/TERM.CONFIG.TXT)

export DIALOG='
<window title="GTKplayYT -menu" image-name="playYT3.png">
  <vbox>
    <text>
      <label>"          GTKplayYT main menu          "</label>
    </text>
    <button>
      <label>GTKaudioYT3</label>
      <action>'$TERM' --title "GTKaudioYT3" -e '$WHEREAMI'/audioYT3.sh</action>
      <input file>"audioYT3-32.png"</input>
    </button>

    <button>
      <label>Show YT Formats</label>
      <action>'$TERM' --title "Show YT Formats" -e '$WHEREAMI'/getYTFORMAT.sh</action>
      <input file>"getYT3-32.png"</input>
    </button>
    
    <button>
      <label>GTKgetYT3</label>
      <action>'$TERM' --title "GTKgetYT3" -e '$WHEREAMI'/getYT3.sh</action>
      <input file>"getYT3-32.png"</input>
    </button>
    <button>
      <label>GTKplayYT3</label>
      <action>'$TERM' --title "GTKplayYT3" -e '$WHEREAMI'/playYT3.sh</action>
      <input file>"playYT3-32.png"</input>
    </button>

	<button>
		<label>Update Downloader</label>
		<action>'$TERM' -e youtube-dl -U</action>
		<input file>"update-icon.png"</input>
	</button>

    <button>
      <label>settings</label>
      <action>'$WHEREAMI'/optionsYT3.sh</action>
      <input file stock="gtk-preferences"></input>
    </button>
    <button>
      <label>about</label>
      <action>'$WHEREAMI'/aboutYT3.sh</action>
    </button>
    <text>
      <label>""</label>
    </text>
    <hbox>
      <button ok></button>
      <button cancel></button>
    </hbox>
  </vbox>
</window>'

I=$IFS; IFS=""
for STATEMENTS in  $(gtkdialog --program DIALOG); do
  eval $STATEMENTS
done
IFS=$I

if [ "$EXIT" = "OK" ]; then
  echo ""
else
  echo ""
fi
